//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import <UIKit/UIKit.h>

/*!
 * This UIViewController Category few methods to dismiss the viewControllers in a particular fashion. One is recursive way, which when called form any viewController, will dismiss all viewControllers to reach the rootViewController. The other method is a simple method to dismiss the viewController regardless of whether it's presented modally or on a navigation stack.
 */
@interface UIViewController (Dismiss)

/*!
 * Call this method to dismiss all viewControllers recursively to reach the rootViewController. This will work for any combination of navigation and modal view presentation.
 */
- (void)dismissSelfRecursivelyAnimated:(BOOL)animated;

/*!
 * Call this method to dismiss the viewController regardless of whether it was presented modally or through navigationController.
 */
- (void)dismissSelfOnly;

/*!
 * Call this method to add a cancel button as the left bar button item. Cancel item will call dismissSelfOnly.
 */
- (void)addCancelButton;

@end
