//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import <ContactsUI/ContactsUI.h>

@class PCContact;

@protocol  ContactDetailViewControllerDelegate;

@interface ContactDetailViewController : CNContactViewController <CNContactViewControllerDelegate>

// store the user selected PCContact object.
@property (nonatomic, strong) PCContact *selectedContact;

// The delegate to be notified.
@property (nonatomic, weak) id <ContactDetailViewControllerDelegate> contactDelegate;

@end

@protocol ContactDetailViewControllerDelegate <NSObject>

@optional
/*!
 * Call this delegate method to update older contact with updated contact.
 * \param oldContact holds older contact of PCContact object.
  * \param updatedContact holds updated contact of PCContact object.
 */
-(void)updateOldContact:(PCContact *)oldContact withUpdatedContact:(PCContact *)updatedContact;

/*!
 * Call this delegate method to update older contact with updated contact.
 * \param contact holds PCContact object to delete.
 */
-(void)deleteContact:(PCContact *)contact;

@end
