//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import <Contacts/Contacts.h>

@class ImageDownloadView;

@interface PCContact (Additions)

/*!
   Using PCContact this method will create and assign value to CNMutableContact.
 */
- (CNMutableContact *)getCNContact;

/*!
 Using PCContact this method will create and assign value to NSMutableDictionary.
 */
- (NSMutableDictionary *)getDictionary;

/*!
  It will return any phone number from telphones array. If its available.
 */
- (NSString *)getAnyPhoneNumber;

/*!
 * If first name is present return FirstName.
 * else if a lastName number is present return a LastName.
 * else if a orgName is present return a Phone OrgName.
 * else if a Phone number is present return a Phone number
 * else if an email is present return an email address.
 */
- (NSString *)getDisplaytext;


/*!
 * @discussion call this method to set an avatar image to the image view. This method checks for cached image, if not found it downloads image using the avatar token stored in PCContact. If this fails a default image is set for the image view.
 * @param imageView - the imageView for which avatar image needs to be set.
 * @param completion - completion block gets called once imageView is set with an image. didSetImage indicates if an image has been set to the image view or not. By the time image is downloaded and if imageView represents a different resource now, downloaded image is not set to the image. In that case didSetImage is returned NO.
 */
- (void)setAvatarForImageView:(ImageDownloadView *)imageView withCompletionHandler:(void (^)(BOOL didSetImage))completion;


@end
