//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import "TrackViewController.h"
#import "UIViewController+Dismiss.h"
#import "GenreListViewController.h"
#import "PlaylistViewController.h"
#import "ArtistListViewController.h"
#import "ResourceGroupByViewController.h"
#import "GenreListViewController.h"
#import "MusicAlbumListViewController.h"

@interface TrackViewController () <UITabBarControllerDelegate>

@end

@implementation TrackViewController


- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.tabBarController.delegate = self;

    self.navigationItem.title = NSLocalizedString(@"Tracks", nil);
    [self addCancelButton];
}

- (void)tabBarController:(UITabBarController *)tabBarController didSelectViewController:(UIViewController *)viewController {
    
    UINavigationController *navController = (UINavigationController *)viewController;
    UIViewController *controller = [navController.viewControllers objectAtIndex:0];
    switch (tabBarController.selectedIndex) {
        case 1: {
            MusicAlbumListViewController *albumListController = (MusicAlbumListViewController *)controller;
            albumListController.resourceGroupType = resourceGroupTypeAlbum;
        }
            break;
        case 2: {
            ArtistListViewController *artistListController = (ArtistListViewController *)controller;
            artistListController.resourceGroupType = resourceGroupTypeArtist;
        }
            break;
        case 3: {
            GenreListViewController *genreListController = (GenreListViewController *)controller;
            genreListController.resourceGroupType = resourceGroupTypeGenre;
        }
            break;
        case 4:{
            PlaylistViewController *playlistController = (PlaylistViewController *)controller;
            playlistController.playlistScreenType = playlistScreenTypeMusic;
        }
            break;
    }
}



@end
