//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import <Foundation/Foundation.h>
#import "PCAPIQueryResponse.h"

/*!
 * This class stores the album information of a audio file and also stores information of image , video and image-video related album.
 */
@interface PCAlbum : NSObject

/*!
 * The UID of the playlist.
 */
@property (nonatomic, readonly) NSString *UID;

/*!
 * The name of the album.
 */
@property (nonatomic, readonly) NSString *name;

/*!
 * The type of playlist. eg. music.
 */
@property (nonatomic, readonly) NSString *type;

/*!
 * Regex pattern for playlist. eg. audio/.*
 */
@property (nonatomic, readonly) NSString *mimeTypeRegx;

/*!
 * Array of paths.
 */
@property (nonatomic, readonly) NSArray *paths;

/*!
 * Unique identifier of the resource.
 */
@property (nonatomic, readonly) NSString *uri;

/*!
 * Timestamp for creation date of playlist.
 */
@property (nonatomic, readonly) NSDate *creationDate;

/*!
 * Timestamp for last modified date of playlist.
 */
@property (nonatomic, readonly) NSDate *lastModifiedDate;


/*!
 * Call this method to fetch all PCAudio file related to this PCAlbum object.
 * @param completion This block gets called on the completion of the all audio file fetch process. An array of PCAudio objects are returned in completion.
 */
- (void)getFileWithCompletionHandler:(void (^)(NSArray *albumFiles, PCAPIQueryResponse *response))completion;

@end
