//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import "PCAPIParams.h"

/*!
 * PCAuthorizationAPIParams stores all the parameters required to authorize a client.
 */
@interface PCAuthorizationAPIParams : PCAPIParams

/*!
 * OAuth 2 response type. Must be 'code'. (required)
 */
@property (nonatomic, copy) NSString *responseType;

/*!
 * OAuth 2 client identifier (key). (required)
 */
@property (nonatomic, copy) NSString *clientID;

/*!
 * Callback URI invoked after successful or unsuccessful user authorization. A 'code' query string is appended if successful and an 'error' query string if not. (required)
 */
@property (nonatomic, copy) NSString *redirectURLString;

/*!
 * This parameter is preserved in the authorization flow and returned to the client as a query string parameter in the 'redirect_uri'. The client may validate this in order to protect against a Cross Site Request Forgery (XSRF) attempt.
 */
@property (nonatomic, copy) NSString *state;

/*!
 * callback URL for returning the third party app’s access token for this user. (required)
 */
@property (nonatomic, readonly) NSURL *redirectURL;

/*!
 * An identifier for the device being authorized.
 */
@property (nonatomic, copy) NSString *deviceID;

@end
