//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import <Foundation/Foundation.h>

@interface NSArray (Addition)

/*!
 * Find the object to be replaced using indexKeyPath as the key. Replace that object with obj. Sort the resultant array using sortKeyPath as the key and return the sorted array back.
 */
- (NSArray *)arrayByReplacingObject:(id)obj1 withObject:(id)obj2 andSortByKeyPath:(NSString *)sortKeyPath ascending:(BOOL)ascending;

/*!
 * Add the object to existing array. Sort them according to sortKeyPath and return the sorted array back.
 */
- (NSArray *)arrayByAddingObject:(id)obj andSortByKeyPath:(NSString *)sortKeyPath ascending:(BOOL)ascending;

/*!
 * Returns sorted array using the keypath in ascending or descending order.
 */
- (NSArray *)sortedArrayByKeyPath:(NSString *)keyPath ascending:(BOOL)ascending;

/*!
 * Returns a NSDictionay with values grouped by keyPath.
 */
- (NSDictionary *)groupByKeyPath:(NSString *)keyPath;

@end
