//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import "PCResourceAPIParams.h"

/*!
 * PCCreateFolderAPIParams stores all the parameters required to create a folder.
 */
@interface PCCreateFolderAPIParams : PCResourceAPIParams

/*!
 * Path where the folder has to be created (required).
 */
@property (nonatomic, copy) NSString *path;

/*!
 * Folder name to be created (required).
 */
@property (nonatomic, copy) NSString *name;

/*!
 * Specifies what happens if a folder of the same name exists at the target path. Set to 'overwrite' to overwrite the existing folder. Set to 'modify' to treat the new folder as a modification of the old folder. If the 'override' parameter is not set, the following algorithm is applied if the existing folder has a 'deleted' attribute set to 'true', the folder is overwritten; if the old folder's 'deleted' attribute is false or not set, the folder is modified.
 */
@property (nonatomic, copy) NSString *overrideRule;


@end
