//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import <Foundation/Foundation.h>

/*!
 * PCResourceShareAPIParams stores all the parameters required for resource to create share.
 */
@interface PCResourceShareAPIParams : NSObject

/*!
 * Name of the resource. (Required)
 */
@property (nonatomic, copy) NSString *name;

/*!
 * Type of the resource: file/folder/playlist. (optional)
 */
@property (nonatomic, copy) NSString *type;

/*!
 * Subtype of the resource: image/video/audio. Used to aid playback of the file when viewed in a browser. (optional)
 */
@property (nonatomic, copy) NSString *subType;

/*!
 * Location of the resource. This is a URI value obtained from a fullview, metadata, or playlist response. (required)
 */
@property (nonatomic, copy) NSString *location;

/*!
 * Size of the resource. Required in case of file share only.
 */
@property (nonatomic, assign) int size;

@end
